<template>
  <div class="setting">
    <SettingMenu
      :selectedMenu="selectedMenu"
      @on-select-change="onSelectMenuChange"
    ></SettingMenu>
    <div class="page">
      <SettingDebug v-if="selectedMenu == 'config'"></SettingDebug>
      <SettingAdmin v-if="selectedMenu == 'admin'"></SettingAdmin>
    </div>
  </div>
</template>
   
<script>
import SettingMenu from "@/components/setting/menu";
import SettingDebug from "@/components/setting/debug";
import SettingAdmin from "@/components/setting/admin";
export default {
  name: "Setting",
  components: {
    SettingMenu,
    SettingDebug,
    SettingAdmin,
  },
  data() {
    return {
      selectedMenu: "config",
    };
  },
  methods: {
    onSelectMenuChange(menuName) {
      this.selectedMenu = menuName;
    },
  },
};
</script>

<style lang="less" scoped>
.setting {
  height: 100%;
  .setting-menu {
    width: 70px;
    margin-right: 11px;
    float: left;
  }
  .page {
    width: calc(100% - 81px);
    height: 100%;
    background-color: #fff;
    border-radius: 3px;
    float: left;
  }
}
</style>